Bug 437136 - ln errors when updating hsqldb
ln errors when updating hsqldb
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: jpackage-utils (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Thomas Fitzsimmons
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 12:04 EDT by Alexander Todorov
Modified: 2008-03-27 10:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 10:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-03-12 12:04:19 EDT
Description of problem:

Updating  : hsqldb                       ##################### [308/993] 
ln: target `hsqldb.jar' is not a directory
ln: target `servlet.jar' is not a directory


Version-Release number of selected component (if applicable):
hsqldb-1.8.0.9-1jpp.2


How reproducible:
100%

Steps to Reproduce:
1. Install RHEL 5.1 GA
2. Install hsqldb if not installed (version hsqldb-1.8.0.4-3jpp.4)
3. Update hsqldb (version hsqldb-1.8.0.9-1jpp.2)
  
Actual results:
Updating  : hsqldb                       ##################### [308/993] 
ln: target `hsqldb.jar' is not a directory
ln: target `servlet.jar' is not a directory

Expected results:
ln shouldn't fail

Additional info:
Comment 1 Alexander Todorov 2008-03-12 12:05:45 EDT
New package is installed. I'm not sure if these ln errors impact performance or
functionallity. I don't know what is this package for.
Comment 2 Deepak Bhole 2008-03-12 13:11:21 EDT
A failure of this sort will most likely break (standalone) hsqldb. hsqldb is
used by OpenOffice -- however, I *think* openoffice uses the jar directly (and
is therefore unaffected by the bug).

That said, we need to determine why this is happening. It was not seen locally
when I did the update. Is jpackage-utils installed when this error occurs? I
suspect that a missing BR on jpackage-utils is the culprit...
Comment 3 Alexander Todorov 2008-03-12 13:17:18 EDT
I have jpackage-utils-1.7.3-1jpp.2.el5. yum.log doesn't say this package is
updated so I assume it was there even before the update took place.
Comment 4 Deepak Bhole 2008-03-12 14:59:12 EDT
Hmm, that is odd. What do the following commands output on the machine? :

build-classpath hsqldb
build-classpath servletapi5
Comment 5 Alexander Todorov 2008-03-13 05:36:52 EDT
Both say:
Can't find java virtual machine, aborting.

All installed packages with "java" in the name
$ rpm -qa | grep java
xml-commons-which-javadoc-1.3.02-0.b2.7jpp.10
xmlrpc-javadoc-2.0.1-3jpp.1
java-1.4.2-gcj-compat-1.4.2.0-40jpp.112
xml-commons-resolver-javadoc-1.1-1jpp.12
xml-commons-apis-javadoc-1.3.02-0.b2.7jpp.10
java-1.5.0-sun-1.5.0.14-1jpp.2.el5
glib-java-0.2.6-3.fc6
java-1.4.2-ibm-1.4.2.10-1jpp.2.el5
glib-java-0.2.6-3.fc6
Comment 6 Deepak Bhole 2008-03-13 13:48:17 EDT
Okay, so build-classpath appears to be broken. I am adding the owner (fitzsim)
of that package to cc.
Comment 8 Thomas Fitzsimmons 2008-03-14 11:56:49 EDT
(In reply to comment #5)
> Both say:
> Can't find java virtual machine, aborting.

Can you post the output of:

sh -x build-classpath hsqldb

and

sh -x build-classpath servletapi5
Comment 9 Alexander Todorov 2008-03-14 12:13:31 EDT
assuming you want that executed as normal user:

$ sh -x build-classpath hsqldb
+ '[' -r /usr/share/java-utils/java-functions ']'
+ . /usr/share/java-utils/java-functions
++ _JAVA_HOME=
++ '[' -f /etc/java/java.conf ']'
++ . /etc/java/java.conf
+++ JAVA_LIBDIR=/usr/share/java
+++ JNI_LIBDIR=/usr/lib/java
+++ JVM_ROOT=/usr/lib/jvm
+++ JAVACMD_OPTS=
++ '[' -f /home/alexx/.java/java.conf ']'
++ '[' '!' -z '' -a -d '' ']'
++ '[' -z '' -a -d /usr/lib/jvm/java ']'
++ '[' -z '' -a -d /usr/lib/jvm/jre ']'
+ '[' 1 -eq 0 ']'
+ set_javacmd
+ '[' -x '' ']'
+ set_jvm
+ '[' -n '' ']'
++ which javac
++ :
+ java=
+ '[' -z '' ']'
++ which java
++ :
+ java=
+ '[' -n '' ']'
+ echo 'Can'\''t find java virtual machine, aborting.'
Can't find java virtual machine, aborting.
+ exit 1

================================================================================

$ sh -x build-classpath servletapi5
+ '[' -r /usr/share/java-utils/java-functions ']'
+ . /usr/share/java-utils/java-functions
++ _JAVA_HOME=
++ '[' -f /etc/java/java.conf ']'
++ . /etc/java/java.conf
+++ JAVA_LIBDIR=/usr/share/java
+++ JNI_LIBDIR=/usr/lib/java
+++ JVM_ROOT=/usr/lib/jvm
+++ JAVACMD_OPTS=
++ '[' -f /home/alexx/.java/java.conf ']'
++ '[' '!' -z '' -a -d '' ']'
++ '[' -z '' -a -d /usr/lib/jvm/java ']'
++ '[' -z '' -a -d /usr/lib/jvm/jre ']'
+ '[' 1 -eq 0 ']'
+ set_javacmd
+ '[' -x '' ']'
+ set_jvm
+ '[' -n '' ']'
++ which javac
++ :
+ java=
+ '[' -z '' ']'
++ which java
++ :
+ java=
+ '[' -n '' ']'
+ echo 'Can'\''t find java virtual machine, aborting.'
Can't find java virtual machine, aborting.
+ exit 1



Is it safe to run as root or do you need me to execute that as root?
Comment 10 Alexander Todorov 2008-03-14 12:14:32 EDT
(In reply to comment #2)
> A failure of this sort will most likely break (standalone) hsqldb. hsqldb is
> used by OpenOffice -- however, I *think* openoffice uses the jar directly (and
> is therefore unaffected by the bug).
> 

So far used only oocalc and it works after the upgrade.
Comment 11 Alexander Todorov 2008-03-14 12:27:37 EDT
The 1 exit codes in comment #9 are from the system when 'Sun 1.5.0' java is set.
Switching this to GCJ 1.4.2 I get 0 exit codes. also getting 0 exit code with
IBM 1.4.2 java
Comment 12 Deepak Bhole 2008-03-14 13:59:02 EDT
This bug is outside the scope of hsqldb. Changing to correct component and
re-assigning accordingly.
Comment 14 Thomas Fitzsimmons 2008-03-14 14:09:57 EDT
(In reply to comment #11)
> The 1 exit codes in comment #9 are from the system when 'Sun 1.5.0' java is set.
> Switching this to GCJ 1.4.2 I get 0 exit codes. also getting 0 exit code with
> IBM 1.4.2 java

Can you post the output of:

ls -l /etc/alternatives/
Comment 15 Alexander Todorov 2008-03-17 05:33:12 EDT
$ ls -l /etc/alternatives/
total 232
lrwxrwxrwx 1 root root 19 Mar 27  2007 antlr -> /usr/bin/antlr-java
lrwxrwxrwx 1 root root 20 Mar 12 16:26 etags -> /usr/bin/etags.emacs
lrwxrwxrwx 1 root root 34 May  7  2007 jaf -> /usr/share/java/classpathx-jaf.jar
lrwxrwxrwx 1 root root 35 Mar 14 17:27 java -> /usr/lib/jvm/jre-1.4.2-gcj/bin/java
lrwxrwxrwx 1 root root 52 May  7  2007 javamail ->
/usr/share/java/classpathx-mail-1.3.1-monolithic.jar
lrwxrwxrwx 1 root root 29 Mar 12 16:33 jaxp_parser_impl ->
/usr/share/java/xerces-j2.jar
lrwxrwxrwx 1 root root 28 Mar 27  2007 jaxp_transform_impl ->
/usr/share/java/xalan-j2.jar
lrwxrwxrwx 1 root root 64 May 18  2007 jce_1.5.0_sun_local_policy ->
/usr/lib/jvm-private/java-1.5.0-sun/jce/vanilla/local_policy.jar
lrwxrwxrwx 1 root root 71 Mar 12 16:18 jce_1.5.0_sun_local_policy.x86_64 ->
/usr/lib/jvm-private/java-1.5.0-sun.x86_64/jce/vanilla/local_policy.jar
lrwxrwxrwx 1 root root 68 May 18  2007 jce_1.5.0_sun_us_export_policy ->
/usr/lib/jvm-private/java-1.5.0-sun/jce/vanilla/US_export_policy.jar
lrwxrwxrwx 1 root root 75 Mar 12 16:18 jce_1.5.0_sun_us_export_policy.x86_64 ->
/usr/lib/jvm-private/java-1.5.0-sun.x86_64/jce/vanilla/US_export_policy.jar
lrwxrwxrwx 1 root root 33 May  7  2007 jmxri -> /usr/share/java/mx4j/mx4j-jmx.jar
lrwxrwxrwx 1 root root 26 Mar 14 17:27 jre -> /usr/lib/jvm/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 26 Mar 14 17:27 jre_1.4.2 -> /usr/lib/jvm/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 34 Mar 14 17:27 jre_1.4.2_exports ->
/usr/lib/jvm-exports/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 26 Mar 12 16:18 jre_1.5.0 -> /usr/lib/jvm/jre-1.5.0-sun
lrwxrwxrwx 1 root root 34 Mar 12 16:18 jre_1.5.0_exports ->
/usr/lib/jvm-exports/jre-1.5.0-sun
lrwxrwxrwx 1 root root 34 Mar 14 17:27 jre_exports ->
/usr/lib/jvm-exports/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 26 Mar 14 17:27 jre_gcj -> /usr/lib/jvm/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 34 Mar 14 17:27 jre_gcj_exports ->
/usr/lib/jvm-exports/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 33 Mar 14 17:27 jre_ibm -> /usr/lib/jvm/jre-1.4.2-ibm.x86_64
lrwxrwxrwx 1 root root 41 Mar 14 17:27 jre_ibm_exports ->
/usr/lib/jvm-exports/jre-1.4.2-ibm.x86_64
lrwxrwxrwx 1 root root 26 Mar 12 16:18 jre_sun -> /usr/lib/jvm/jre-1.5.0-sun
lrwxrwxrwx 1 root root 34 Mar 12 16:18 jre_sun_exports ->
/usr/lib/jvm-exports/jre-1.5.0-sun
lrwxrwxrwx 1 root root 39 Mar 13 17:25 jsp ->
/usr/share/java/tomcat5-jsp-2.0-api.jar
lrwxrwxrwx 1 root root 38 Mar 14 17:27 keytool ->
/usr/lib/jvm/jre-1.4.2-gcj/bin/keytool
lrwxrwxrwx 1 root root 26 May  4  2007 mta -> /usr/sbin/sendmail.postfix
lrwxrwxrwx 1 root root 40 May  4  2007 mta-aliasesman ->
/usr/share/man/man5/aliases.postfix.5.gz
lrwxrwxrwx 1 root root 22 May  4  2007 mta-mailq -> /usr/bin/mailq.postfix
lrwxrwxrwx 1 root root 38 May  4  2007 mta-mailqman ->
/usr/share/man/man1/mailq.postfix.1.gz
lrwxrwxrwx 1 root root 27 May  4  2007 mta-newaliases -> /usr/bin/newaliases.postfix
lrwxrwxrwx 1 root root 43 May  4  2007 mta-newaliasesman ->
/usr/share/man/man1/newaliases.postfix.1.gz
lrwxrwxrwx 1 root root 23 May  4  2007 mta-pam -> /etc/pam.d/smtp.postfix
lrwxrwxrwx 1 root root 22 May  4  2007 mta-rmail -> /usr/bin/rmail.postfix
lrwxrwxrwx 1 root root 25 May  4  2007 mta-sendmail -> /usr/lib/sendmail.postfix
lrwxrwxrwx 1 root root 41 May  4  2007 mta-sendmailman ->
/usr/share/man/man1/sendmail.postfix.1.gz
lrwxrwxrwx 1 root root 24 May 22  2007 pinentry -> /usr/bin/pinentry-curses
lrwxrwxrwx 1 root root 17 Mar 13 17:33 print -> /usr/bin/lpr.cups
lrwxrwxrwx 1 root root 20 Mar 13 17:33 print-cancel -> /usr/bin/cancel.cups
lrwxrwxrwx 1 root root 36 Mar 13 17:33 print-cancelman ->
/usr/share/man/man1/cancel-cups.1.gz
lrwxrwxrwx 1 root root 16 Mar 13 17:33 print-lp -> /usr/bin/lp.cups
lrwxrwxrwx 1 root root 18 Mar 13 17:33 print-lpc -> /usr/sbin/lpc.cups
lrwxrwxrwx 1 root root 33 Mar 13 17:33 print-lpcman ->
/usr/share/man/man8/lpc-cups.8.gz
lrwxrwxrwx 1 root root 32 Mar 13 17:33 print-lpman ->
/usr/share/man/man1/lp-cups.1.gz
lrwxrwxrwx 1 root root 17 Mar 13 17:33 print-lpq -> /usr/bin/lpq.cups
lrwxrwxrwx 1 root root 33 Mar 13 17:33 print-lpqman ->
/usr/share/man/man1/lpq-cups.1.gz
lrwxrwxrwx 1 root root 18 Mar 13 17:33 print-lprm -> /usr/bin/lprm.cups
lrwxrwxrwx 1 root root 33 Mar 13 17:33 print-lprman ->
/usr/share/man/man1/lpr-cups.1.gz
lrwxrwxrwx 1 root root 34 Mar 13 17:33 print-lprmman ->
/usr/share/man/man1/lprm-cups.1.gz
lrwxrwxrwx 1 root root 20 Mar 13 17:33 print-lpstat -> /usr/bin/lpstat.cups
lrwxrwxrwx 1 root root 36 Mar 13 17:33 print-lpstatman ->
/usr/share/man/man1/lpstat-cups.1.gz
lrwxrwxrwx 1 root root 42 Mar 14 17:27 rmiregistry ->
/usr/lib/jvm/jre-1.4.2-gcj/bin/rmiregistry
lrwxrwxrwx 1 root root 43 Mar 13 17:24 servlet ->
/usr/share/java/tomcat5-servlet-2.4-api.jar
lrwxrwxrwx 1 root root 32 Mar 27  2007 xinputrc -> /etc/X11/xinit/xinput.d/xim.conf


This is when GCJ is chosen in system-config-java
Comment 16 Thomas Fitzsimmons 2008-03-17 11:21:12 EDT
Can you post the output of:

ls -l /etc/alternatives/

when Sun 1.5.0 is set?
Comment 17 Alexander Todorov 2008-03-17 11:32:45 EDT
(In reply to comment #16)
> ls -l /etc/alternatives/
> 
> when Sun 1.5.0 is set?

total 452
lrwxrwxrwx 1 root root 19 Mar 27  2007 antlr -> /usr/bin/antlr-java
lrwxrwxrwx 1 root root 51 Mar 17 12:31 appletviewer ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/appletviewer
lrwxrwxrwx 1 root root 42 Mar 17 12:31 apt ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/apt
lrwxrwxrwx 1 root root 20 Mar 12 16:26 etags -> /usr/bin/etags.emacs
lrwxrwxrwx 1 root root 47 Mar 17 12:31 extcheck ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/extcheck
lrwxrwxrwx 1 root root 40 Mar 17 12:29 hibernate_jdbc_cache ->
/usr/share/java/jakarta-commons-dbcp.jar
lrwxrwxrwx 1 root root 43 Mar 17 12:31 idlj ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/idlj
lrwxrwxrwx 1 root root 34 May  7  2007 jaf -> /usr/share/java/classpathx-jaf.jar
lrwxrwxrwx 1 root root 42 Mar 17 12:31 jar ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jar
lrwxrwxrwx 1 root root 48 Mar 17 12:31 jarsigner ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jarsigner
lrwxrwxrwx 1 root root 42 Mar 17 16:31 java ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/java
lrwxrwxrwx 1 root root 41 Mar 17 16:31 java.1 ->
/usr/share/man/man1/java-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 44 Mar 17 12:31 javac ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/javac
lrwxrwxrwx 1 root root 46 Mar 17 12:31 javadoc ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/javadoc
lrwxrwxrwx 1 root root 44 Mar 17 12:31 javah ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/javah
lrwxrwxrwx 1 root root 52 May  7  2007 javamail ->
/usr/share/java/classpathx-mail-1.3.1-monolithic.jar
lrwxrwxrwx 1 root root 44 Mar 17 12:31 javap ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/javap
lrwxrwxrwx 1 root root 34 Mar 17 12:31 java_sdk ->
/usr/lib/jvm/java-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 34 Mar 17 12:31 java_sdk_1.5.0 ->
/usr/lib/jvm/java-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 42 Mar 17 12:31 java_sdk_1.5.0_exports ->
/usr/lib/jvm-exports/java-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 34 Mar 17 12:31 java_sdk_bea ->
/usr/lib/jvm/java-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 42 Mar 17 12:31 java_sdk_bea_exports ->
/usr/lib/jvm-exports/java-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 42 Mar 17 12:31 java_sdk_exports ->
/usr/lib/jvm-exports/java-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 43 Mar 17 14:29 javaws.1 ->
/usr/share/man/man1/javaws-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 29 Mar 12 16:33 jaxp_parser_impl ->
/usr/share/java/xerces-j2.jar
lrwxrwxrwx 1 root root 28 Mar 27  2007 jaxp_transform_impl ->
/usr/share/java/xalan-j2.jar
lrwxrwxrwx 1 root root 71 Mar 17 12:29 jce_1.5.0_bea_local_policy.x86_64 ->
/usr/lib/jvm-private/java-1.5.0-bea.x86_64/jce/vanilla/local_policy.jar
lrwxrwxrwx 1 root root 75 Mar 17 12:29 jce_1.5.0_bea_us_export_policy.x86_64 ->
/usr/lib/jvm-private/java-1.5.0-bea.x86_64/jce/vanilla/US_export_policy.jar
lrwxrwxrwx 1 root root 64 May 18  2007 jce_1.5.0_sun_local_policy ->
/usr/lib/jvm-private/java-1.5.0-sun/jce/vanilla/local_policy.jar
lrwxrwxrwx 1 root root 71 Mar 17 16:31 jce_1.5.0_sun_local_policy.x86_64 ->
/usr/lib/jvm-private/java-1.5.0-sun.x86_64/jce/vanilla/local_policy.jar
lrwxrwxrwx 1 root root 68 May 18  2007 jce_1.5.0_sun_us_export_policy ->
/usr/lib/jvm-private/java-1.5.0-sun/jce/vanilla/US_export_policy.jar
lrwxrwxrwx 1 root root 75 Mar 17 16:31 jce_1.5.0_sun_us_export_policy.x86_64 ->
/usr/lib/jvm-private/java-1.5.0-sun.x86_64/jce/vanilla/US_export_policy.jar
lrwxrwxrwx 1 root root 47 Mar 17 12:31 jconsole ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jconsole
lrwxrwxrwx 1 root root 42 Mar 17 12:31 jdb ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jdb
lrwxrwxrwx 1 root root 44 Mar 17 12:31 jinfo ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jinfo
lrwxrwxrwx 1 root root 43 Mar 17 12:31 jmap ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jmap
lrwxrwxrwx 1 root root 33 May  7  2007 jmxri -> /usr/share/java/mx4j/mx4j-jmx.jar
lrwxrwxrwx 1 root root 42 Mar 17 12:31 jps ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jps
lrwxrwxrwx 1 root root 33 Mar 17 16:31 jre -> /usr/lib/jvm/jre-1.5.0-sun.x86_64
lrwxrwxrwx 1 root root 26 Mar 17 10:32 jre_1.4.2 -> /usr/lib/jvm/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 34 Mar 17 10:32 jre_1.4.2_exports ->
/usr/lib/jvm-exports/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 33 Mar 17 16:31 jre_1.5.0 ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64
lrwxrwxrwx 1 root root 41 Mar 17 16:31 jre_1.5.0_exports ->
/usr/lib/jvm-exports/jre-1.5.0-sun.x86_64
lrwxrwxrwx 1 root root 33 Mar 17 12:29 jre_bea -> /usr/lib/jvm/jre-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 41 Mar 17 12:29 jre_bea_exports ->
/usr/lib/jvm-exports/jre-1.5.0-bea.x86_64
lrwxrwxrwx 1 root root 41 Mar 17 16:31 jre_exports ->
/usr/lib/jvm-exports/jre-1.5.0-sun.x86_64
lrwxrwxrwx 1 root root 26 Mar 17 10:32 jre_gcj -> /usr/lib/jvm/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 34 Mar 17 10:32 jre_gcj_exports ->
/usr/lib/jvm-exports/jre-1.4.2-gcj
lrwxrwxrwx 1 root root 33 Mar 14 17:27 jre_ibm -> /usr/lib/jvm/jre-1.4.2-ibm.x86_64
lrwxrwxrwx 1 root root 41 Mar 14 17:27 jre_ibm_exports ->
/usr/lib/jvm-exports/jre-1.4.2-ibm.x86_64
lrwxrwxrwx 1 root root 33 Mar 17 16:31 jre_sun -> /usr/lib/jvm/jre-1.5.0-sun.x86_64
lrwxrwxrwx 1 root root 41 Mar 17 16:31 jre_sun_exports ->
/usr/lib/jvm-exports/jre-1.5.0-sun.x86_64
lrwxrwxrwx 1 root root 39 Mar 13 17:25 jsp ->
/usr/share/java/tomcat5-jsp-2.0-api.jar
lrwxrwxrwx 1 root root 45 Mar 17 12:31 jstack ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jstack
lrwxrwxrwx 1 root root 44 Mar 17 12:31 jstat ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jstat
lrwxrwxrwx 1 root root 45 Mar 17 12:31 jstatd ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/jstatd
lrwxrwxrwx 1 root root 45 Mar 17 16:31 keytool ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/keytool
lrwxrwxrwx 1 root root 44 Mar 17 16:31 keytool.1 ->
/usr/share/man/man1/keytool-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 42 Mar 17 16:31 kinit.1 ->
/usr/share/man/man1/kinit-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 42 Mar 17 16:31 klist.1 ->
/usr/share/man/man1/klist-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 41 Mar 17 16:31 ktab.1 ->
/usr/share/man/man1/ktab-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 63 Mar 17 14:29 libjavaplugin.so ->
/usr/lib/jvm/jre-1.5.0-sun/plugin/i386/ns7/libjavaplugin_oji.so
lrwxrwxrwx 1 root root 26 May  4  2007 mta -> /usr/sbin/sendmail.postfix
lrwxrwxrwx 1 root root 40 May  4  2007 mta-aliasesman ->
/usr/share/man/man5/aliases.postfix.5.gz
lrwxrwxrwx 1 root root 22 May  4  2007 mta-mailq -> /usr/bin/mailq.postfix
lrwxrwxrwx 1 root root 38 May  4  2007 mta-mailqman ->
/usr/share/man/man1/mailq.postfix.1.gz
lrwxrwxrwx 1 root root 27 May  4  2007 mta-newaliases -> /usr/bin/newaliases.postfix
lrwxrwxrwx 1 root root 43 May  4  2007 mta-newaliasesman ->
/usr/share/man/man1/newaliases.postfix.1.gz
lrwxrwxrwx 1 root root 23 May  4  2007 mta-pam -> /etc/pam.d/smtp.postfix
lrwxrwxrwx 1 root root 22 May  4  2007 mta-rmail -> /usr/bin/rmail.postfix
lrwxrwxrwx 1 root root 25 May  4  2007 mta-sendmail -> /usr/lib/sendmail.postfix
lrwxrwxrwx 1 root root 41 May  4  2007 mta-sendmailman ->
/usr/share/man/man1/sendmail.postfix.1.gz
lrwxrwxrwx 1 root root 51 Mar 17 12:31 native2ascii ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/native2ascii
lrwxrwxrwx 1 root root 42 Mar 17 16:31 orbd ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/orbd
lrwxrwxrwx 1 root root 41 Mar 17 16:31 orbd.1 ->
/usr/share/man/man1/orbd-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 46 Mar 17 12:31 pack200 ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/pack200
lrwxrwxrwx 1 root root 24 May 22  2007 pinentry -> /usr/bin/pinentry-curses
lrwxrwxrwx 1 root root 48 Mar 17 16:31 policytool ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/policytool
lrwxrwxrwx 1 root root 47 Mar 17 16:31 policytool.1 ->
/usr/share/man/man1/policytool-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 17 Mar 13 17:33 print -> /usr/bin/lpr.cups
lrwxrwxrwx 1 root root 20 Mar 13 17:33 print-cancel -> /usr/bin/cancel.cups
lrwxrwxrwx 1 root root 36 Mar 13 17:33 print-cancelman ->
/usr/share/man/man1/cancel-cups.1.gz
lrwxrwxrwx 1 root root 16 Mar 13 17:33 print-lp -> /usr/bin/lp.cups
lrwxrwxrwx 1 root root 18 Mar 13 17:33 print-lpc -> /usr/sbin/lpc.cups
lrwxrwxrwx 1 root root 33 Mar 13 17:33 print-lpcman ->
/usr/share/man/man8/lpc-cups.8.gz
lrwxrwxrwx 1 root root 32 Mar 13 17:33 print-lpman ->
/usr/share/man/man1/lp-cups.1.gz
lrwxrwxrwx 1 root root 17 Mar 13 17:33 print-lpq -> /usr/bin/lpq.cups
lrwxrwxrwx 1 root root 33 Mar 13 17:33 print-lpqman ->
/usr/share/man/man1/lpq-cups.1.gz
lrwxrwxrwx 1 root root 18 Mar 13 17:33 print-lprm -> /usr/bin/lprm.cups
lrwxrwxrwx 1 root root 33 Mar 13 17:33 print-lprman ->
/usr/share/man/man1/lpr-cups.1.gz
lrwxrwxrwx 1 root root 34 Mar 13 17:33 print-lprmman ->
/usr/share/man/man1/lprm-cups.1.gz
lrwxrwxrwx 1 root root 20 Mar 13 17:33 print-lpstat -> /usr/bin/lpstat.cups
lrwxrwxrwx 1 root root 36 Mar 13 17:33 print-lpstatman ->
/usr/share/man/man1/lpstat-cups.1.gz
lrwxrwxrwx 1 root root 43 Mar 17 12:31 rmic ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/rmic
lrwxrwxrwx 1 root root 42 Mar 17 16:31 rmid ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/rmid
lrwxrwxrwx 1 root root 41 Mar 17 16:31 rmid.1 ->
/usr/share/man/man1/rmid-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 49 Mar 17 16:31 rmiregistry ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/rmiregistry
lrwxrwxrwx 1 root root 48 Mar 17 16:31 rmiregistry.1 ->
/usr/share/man/man1/rmiregistry-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 48 Mar 17 12:31 serialver ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/serialver
lrwxrwxrwx 1 root root 48 Mar 17 16:31 servertool ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/servertool
lrwxrwxrwx 1 root root 47 Mar 17 16:31 servertool.1 ->
/usr/share/man/man1/servertool-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 43 Mar 13 17:24 servlet ->
/usr/share/java/tomcat5-servlet-2.4-api.jar
lrwxrwxrwx 1 root root 47 Mar 17 16:31 tnameserv ->
/usr/lib/jvm/jre-1.5.0-sun.x86_64/bin/tnameserv
lrwxrwxrwx 1 root root 46 Mar 17 16:31 tnameserv.1 ->
/usr/share/man/man1/tnameserv-java-1.5.0-sun.1
lrwxrwxrwx 1 root root 48 Mar 17 12:31 unpack200 ->
/usr/lib/jvm/java-1.5.0-bea.x86_64/bin/unpack200
lrwxrwxrwx 1 root root 32 Mar 27  2007 xinputrc -> /etc/X11/xinit/xinput.d/xim.conf
Comment 18 Thomas Fitzsimmons 2008-03-17 16:16:01 EDT
Can you post the output of the following in the failing case:

ls -ld `readlink -f /usr/lib/jvm/java`
ls -ld `readlink -f /usr/lib/jvm/jre`

which javac
which java

readlink -f `which javac`
readlink -f `which java`

ls -ld `readlink -f /usr/bin/javac`
ls -ld `readlink -f /usr/bin/java`

Do Comment #15 and Comment #17 represent different machines?
Comment 19 Alexander Todorov 2008-03-18 05:55:56 EDT
(In reply to comment #18)
> 
> Do Comment #15 and Comment #17 represent different machines?

No. Same machine but got some packages installed between both comments.

Strange but running again
sh -x build-classpath servletapi5

when Sun 1.5.0 Java is set I got an exit code of 0 and no errors. I'll need to
retest once more the upgrade on a clean install.
Comment 20 Alexander Todorov 2008-03-18 08:48:48 EDT
Looks like hsqldb is not present in 5.1 release but is a new package in 5.2 for
the Client product. I'll need to re-run all tests to verify if there's a bug or
not. Stay tuned.
Comment 23 Alexander Todorov 2008-03-18 12:24:44 EDT
Sorry for the noise, I'm reopening this bug.

Update:
The steps to reproduce in comment #0 should be valid but for RHEL-Client 5.1 GA
not Server. My mistake reporting wrong info because I have both Server and
Client repos enabled.

Some more info from Deepak:
(05:14:14 PM) dbhole: The problem is that build-classpath is failing. This is a
script supplied by jpackage-utils .. and the issue is that the java alternatives
are not being set (when any of the jvms are installed, /usr/lib/jvm/java should
be pointing to the alternatives-selected JVM) ... java alternatives not pointing
/usr/lib/jvm/java is an issue with the jvm package
(05:15:26 PM) dbhole: as for which package to try with.. I would try with all 3.
But I suspect this is going to be one of those edge cases which are triggered
only on clean install or something, because each time a jdk is removed/added,
alternatives are touched, and so if a fresh full install is broken, modifying
jdk might end up automatically fixing it
(05:17:39 PM) dbhole: with regards to this though, I think you should defer to
tom as to what the best test cases would be, because he knows way more about the
alternatives system than I do

I'll test the upgrade use case on fresh 5.1 Client (only) install and then try
to test with all available JVMs in the Client repos.

Thomas,
any advice how to perform the JVM tests wrt dbhole's comments? 
Comment 24 Thomas Fitzsimmons 2008-03-18 13:50:13 EDT
How are you installing the JDK packages?
Comment 25 Thomas Fitzsimmons 2008-03-18 13:53:50 EDT
I mean: 1) manually, 2) by adding Supplementary channels/packages in Anaconda,
3) through RHN after the initial install
Comment 26 Alexander Todorov 2008-03-19 06:08:05 EDT
(In reply to comment #25)
> I mean: 1) manually, 2) by adding Supplementary channels/packages in Anaconda,
> 3) through RHN after the initial install
> 
I install the JDK packages by adding the Supplementary repo under
/etc/yum.repos.d after install.

Testing on a fresh install (5.1 install and upgrade to 5.2) couldn't reproduce
the problem. I've tried upgrades while different JVM is selected. 

Thomas, 
can we try testing if all vendors' java packages set the alternatives correctly
as Deepak suggested rather that trying to reproduce the failure with an upgrade?
That may really be a corner issue which is hard to track and reproduce.
Comment 27 Thomas Fitzsimmons 2008-03-19 11:26:19 EDT
(In reply to comment #26)

> Thomas, 
> can we try testing if all vendors' java packages set the alternatives correctly
> as Deepak suggested rather that trying to reproduce the failure with an upgrade?
> That may really be a corner issue which is hard to track and reproduce.

It would be really helpful to know the system state when you see the failure. 
Have you been able to reproduce the failure by any means?

As for testing that all vendors' packages set alternatives correctly, you
shouldn't need to reinstall every time to check that.  Just try various
combinations of setting them with alternatives --config.

The only other explanations I can think of are: post/postun install ordering
issues or (even more remotely) a bug in the alternatives tool itself.
Comment 28 Alexander Todorov 2008-03-19 11:42:55 EDT
(In reply to comment #27)
> It would be really helpful to know the system state when you see the failure. 
> Have you been able to reproduce the failure by any means?
> 

The only time I've saw this was during upgrade on a system that had both Client
and Server repos enabled and packages installed from both repos. I was trying to
reproduce after a fresh install but wasn't able to do so. It's hard to know the
state of the original system that experienced the bug because it changes on a
daily basis and includes extra packages from other repos.

> As for testing that all vendors' packages set alternatives correctly, you
> shouldn't need to reinstall every time to check that.  Just try various
> combinations of setting them with alternatives --config.
> 

> The only other explanations I can think of are: post/postun install ordering
> issues or (even more remotely) a bug in the alternatives tool itself.

Should happen when upgrading with different JVM chosen but I wasn't able to
reproduce as well.

I'm out of ideas already. We'll probably need to close this as non reproducer.

Note You need to log in before you can comment on or make changes to this bug.